Crypto To Fiat
Operations for crypto to fiat conversions (off-ramp)
Generate a quote for converting cryptocurrency to fiat currency.
You can provide either an existing recipientId or create a new recipient by providing kycInformation and fiatSettlementDetails.
Authentication
All API requests to orda require HMAC signatures using your project's client ID and client secret. The signature is a HMAC-SHA256 hash of the request body, using your Client Secret as the key. For GET or endpoints with no request body, use the string "{}" (canonical empty object) for the signature.
Required Headers
x-client-id
Your project's client ID
x-signature
HMAC-SHA256 signature derived from your client secret
Content-Type
application/json for this request
Intent Specification: The quote request uses an intent object to specify the amount calculation method:
usd: Calculate based on USD amountfromAmount: Calculate based on source token amounttoAmount: Calculate based on destination token amount
Important Notes:
Provide EITHER
recipientIdOR bothkycInformationandfiatSettlementDetails(not both options)If a
recipientIdis provided, the system will use the recipient's pre-configured settlement detailsIf you provide
kycInformationandfiatSettlementDetails, settlement details are provided inlineKYC information is required for compliance with financial regulations
Quotes have a limited validity period
Your project client ID from orda dashboard
HMAC-SHA256 signature of canonical request body using your client secret
Unix timestamp in milliseconds for replay protection (recommended)
Your project client ID from orda dashboard
prj_abc123def456ghi789Example: prj_abc123def456ghi789HMAC-SHA256 signature of canonical request body using your client secret
a1b2c3d4e5f6789abc123def456ghi789abc123def456Example: a1b2c3d4e5f6789abc123def456ghi789abc123def456Unix timestamp in milliseconds for replay protection (recommended)
1704067200000Example: 1704067200000Source blockchain chain ID
42161Source token contract address
0xaf88d065e77c8cC2239327C5EDb3A432268e5831Source wallet address
0x742d35Cc6634C0532925a3b844Bc45426438f000The ID of the recipient to send funds to (provide either this OR kycInformation+fiatSettlementDetails)
123e4567-e89b-12d3-a456-426614174000Off-ramp quote generated successfully
Crypto-to-Fiat Quote requested550e8400-e29b-41d4-a716-446655440000Bad Request - Invalid parameters
Unauthorized - Invalid authentication
Not Found - Business not found
Too Many Requests
Internal Server Error
POST /v1/offramp/quote HTTP/1.1
Host: api.orda.network
x-client-id: prj_abc123def456ghi789
x-signature: a1b2c3d4e5f6789abc123def456ghi789abc123def456
x-timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 230
{
"fromChain": "42161",
"fromToken": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"fromAddress": "0x742d35Cc6634C0532925a3b844Bc45426438f000",
"intent": {
"method": "usd",
"value": "100"
},
"recipientId": "123e4567-e89b-12d3-a456-426614174000"
}{
"message": "Crypto-to-Fiat Quote requested",
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"quote": {
"provider": "Transfero",
"providerRequestId": "0x006b09055cff301034ed164c81c56f8302a350d51210b8686f8d43a1fa13fc06",
"fromToken": {
"chainId": 8453,
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"symbol": "USDC",
"decimals": 6,
"price": 0.999788
},
"toCurrency": "BRL",
"fromAmount": "100",
"toAmount": "590",
"exchangeRate": "5.90",
"fromAddress": "0x65dC5d3Dab013af752832a5B03De7Ae902aCF048",
"estimatedDuration": 60,
"fees": {
"bridge": {
"amount": "2000000000000000",
"token": "ETH"
},
"gas": {
"amount": "1000000000000000",
"token": "ETH"
},
"integrator": 0,
"maxSlippage": null
}
},
"approvalTxParams": {
"from": "0x65dC5d3Dab013af752832a5B03De7Ae902aCF048",
"to": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"gas": "0xe7db",
"data": "0x095ea7b3000000000000000000000000af88d065e77c8cc2239327c5edb3a432268e583100000000000000000000000000000000000000000000000000000000000f4371",
"value": "0x0",
"nonce": 41
},
"transactionRequest": {
"from": "0x65dC5d3Dab013af752832a5B03De7Ae902aCF048",
"to": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"data": "0xa9059cbb000000000000000000000000f70da97812cb96acdf810712aa562db8dfa3dbef00000000000000000000000000000000000000000000000000000000000f4371006b09055cff301034ed164c81c56f8302a350d51210b8686f8d43a1fa13fc06",
"value": "0",
"chainId": 42161,
"requestId": "0x006b09055cff301034ed164c81c56f8302a350d51210b8686f8d43a1fa13fc06",
"maxFeePerGas": "0x2d8f0fc",
"maxPriorityFeePerGas": "0x0"
}
}Authentication
All API requests to orda require HMAC signatures using your project's client ID and client secret:
Required Headers
x-client-id
Your project's client ID
x-signature
HMAC-SHA256 signature derived from your client secret
The signature is an HMAC-SHA256 hash of the request body, using your Client Secret as the key.
Check the status of a crypto-to-fiat transaction.
Status Values:
Processing: The crypto has been received and fiat conversion is in processCompleted: The fiat has been successfully sent to the recipient's bank accountFailed: The transaction failedRefunded: The transaction was refunded
Your project client ID from orda dashboard
HMAC-SHA256 signature of canonical request body using your client secret
Unix timestamp in milliseconds for replay protection (recommended)
UUID of the off-ramp transaction
550e8400-e29b-41d4-a716-446655440000Your project client ID from orda dashboard
prj_abc123def456ghi789Example: prj_abc123def456ghi789HMAC-SHA256 signature of canonical request body using your client secret
a1b2c3d4e5f6789abc123def456ghi789abc123def456Example: a1b2c3d4e5f6789abc123def456ghi789abc123def456Unix timestamp in milliseconds for replay protection (recommended)
1704067200000Example: 1704067200000Transaction status retrieved successfully
550e8400-e29b-41d4-a716-446655440000ProcessingPossible values: 2025-01-15T12:34:56.789Z2025-01-15T12:35:56.789Z0x1234567890123456789012345678901234567890100.00x29623029145bffe2479c2d466bd95a01762ce3e852d826bb67975fa2d7bfc58099.5Details of the fiat withdrawal
{"bankAccountNumber":"****7890","currency":"BRL","status":"Processing"}Bad Request - Invalid or missing transactionId
Unauthorized - Missing or invalid API key
Not Found - Transaction not found
Too Many Requests
Internal Server Error
GET /v1/offramp/status?transactionId=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.orda.network
x-client-id: prj_abc123def456ghi789
x-signature: a1b2c3d4e5f6789abc123def456ghi789abc123def456
x-timestamp: YOUR_API_KEY
Accept: */*
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "Processing",
"createdAt": "2025-01-15T12:34:56.789Z",
"updatedAt": "2025-01-15T12:35:56.789Z",
"depositAddress": "0x1234567890123456789012345678901234567890",
"depositAmount": "100.0",
"depositTxHash": "0x29623029145bffe2479c2d466bd95a01762ce3e852d826bb67975fa2d7bfc580",
"withdrawalAmount": "99.5",
"withdrawalDetails": {
"bankAccountNumber": "****7890",
"currency": "BRL",
"status": "Processing"
}
}Last updated